Product comparison · 2 network switches

EnGenius EGS7228FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black vs EnGenius EWS7928P Wireless Managed L2 switch 24-port GbE PoE+ Switch 4 x SFP

Add a product
  • 25specifications compared
  • 5differ
  • 20identical
  • 29known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • EGS7228FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:240
    • EWS7928P Wireless Managed L2 switch 24-port GbE PoE+ Switch 4 x SFP:24
  • Product colour
    • EGS7228FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:Black
    • EWS7928P Wireless Managed L2 switch 24-port GbE PoE+ Switch 4 x SFP:Black, Blue
  • Total Power over Ethernet (PoE) budget
    • EGS7228FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:370 W
    • EWS7928P Wireless Managed L2 switch 24-port GbE PoE+ Switch 4 x SFP:185 W
  • Depth
    • EGS7228FP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black:310 mm
    • EWS7928P Wireless Managed L2 switch 24-port GbE PoE+ Switch 4 x SFP:260 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of EGS7228FP, EWS7928P
54 specifications
Management featuresidentical
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC1213, RFC1493, RFC1757, RFC2674
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityDiffers24024
Fiber optic connectorKnown for oneSFPUnknown — not stated by the source
Network1 differ
Networking standardsDiffersIEEE 802.3af, IEEE 802.3atIEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at
Port mirroringKnown for oneUnknown — not stated by the sourceYes
IP routingKnown for oneUnknown — not stated by the sourceYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Link aggregationKnown for oneUnknown — not stated by the sourceYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Spanning tree protocolKnown for oneUnknown — not stated by the sourceYes
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Data transmissionidentical
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Number of queuesKnown for oneUnknown — not stated by the source4
Securityidentical
Access Control List (ACL)Known for oneUnknown — not stated by the sourceYes
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the sourceWEP, WPA, WPA-PSK, WPA2, WPA2-PSK
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP v1/v2c/v3, CLI, RMONv1, SYSLOG
Design1 differ
StackableKnown for oneUnknown — not stated by the sourceYes
Form factorKnown for oneUnknown — not stated by the source1U
Product colourDiffersBlackBlack, Blue
LED indicatorsKnown for oneUnknown — not stated by the sourceYes
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source185 W
Power over Ethernet (PoE)1 differ
Total Power over Ethernet (PoE) budgetDiffers370 W185 W
Power over Ethernet (PoE) power per portKnown for one30 WUnknown — not stated by the source
Operational conditionsidentical
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions1 differ
DepthDiffers310 mm260 mm
WeightKnown for oneUnknown — not stated by the source3.55 kg
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC, LAN (RJ-45)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
User guideKnown for oneYesUnknown — not stated by the source
Logistics dataidentical
Harmonized System (HS) codeKnown for oneUnknown — not stated by the source85176990

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons